import Http from './http';
import {map, pullAll} from "lodash";

const sendNull = {
    result: null,
    size: null,
    total: null
};

export default class OptionsService {
    static fetchOptions(token, e, query) {
        let parameters
        if (token) {
            parameters = query.search + '=' + e + query.options
            return Http.get(`${query.endpoint}${parameters}`, token);
        }
        return sendNull;
    }

    static fetchTable(token, query) {
        let parameters = query.endpoint
        if (token) {
            const searchOptions = map(query.search[0], (value, key) => {
                if (value) {
                    return key + query.options[0] + value
                }
                return null
            })
            pullAll(searchOptions, [null])
            let result = ''
            let i = 0
            while (i <= searchOptions.length - 1) {
                result += searchOptions[i] + query.options[1]
                i++
            }
            return Http.get(parameters + result.slice(0, -1), token)
        }
        return sendNull
    }
}



